ome-files 0.2.2

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ome::files::tiff::FieldBase Class Reference

Common functionality for fields of all types. More...

`#include <ome/files/tiff/Field.h>`

Inheritance diagram for ome::files::tiff::FieldBase:
[legend]

## Classes
class | Impl
| Internal implementation details of FieldBase. More...

## Public Member Functions
virtual | ~FieldBase ()
| Destructor.
Type | type () const
| Get field data type. More...
bool | passCount () const
| Get field count requirement. More...
int | readCount () const
| Get field read count requirement. More...
int | writeCount () const
| Get field write count requirement. More...
tag_type | tagNumber () const
| Get field tag number. More...
std::string | name () const
| Get field tag name. More...
ome::compat::shared_ptr< IFD > | getIFD () const
| Get the directory this field belongs to. More...

## Protected Member Functions
| FieldBase (ome::compat::shared_ptr< IFD > ifd, tag_type tag)
| Constructor. More...

## Protected Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Detailed Description

Common functionality for fields of all types.

## Constructor & Destructor Documentation

## § FieldBase()

ome::files::tiff::FieldBase::FieldBase | ( | ome::compat::shared_ptr< IFD > | ifd,
|  | tag_type | tag
| ) |  |
| protected

Constructor.

Parameters

  ifd | the directory the field belongs to.
  tag | the tag identifying this field.

## Member Function Documentation

## § getIFD()

ome::compat::shared_ptr< IFD > ome::files::tiff::FieldBase::getIFD | ( |  | ) | const

Get the directory this field belongs to.

Returns
  the directory.

References impl, type(), and ome::files::tiff::TYPE_SHORT.

Referenced by ome::files::tiff::Field< Tag >::get(), and ome::files::tiff::Field< Tag >::set().

Here is the caller graph for this function:

## § name()

std::string ome::files::tiff::FieldBase::name | ( |  | ) | const

Get field tag name.

Returns
  the registered name of the field, or `Unknown` if not a registered tag.

See also
  TIFFFieldName().

References impl.

## § passCount()

bool ome::files::tiff::FieldBase::passCount | ( |  | ) | const

Get field count requirement.

Returns
  `true` if a count parameter is needed, `false` otherwise.

See also
  TIFFFieldPassCount().

References impl.

Referenced by ome::files::tiff::Field< Tag >::get(), and ome::files::tiff::Field< Tag >::set().

Here is the caller graph for this function:

## § readCount()

int ome::files::tiff::FieldBase::readCount | ( |  | ) | const

Get field read count requirement.

Todo:
  : Check TIFF_VARIABLE/TIFF_VARIABLE2/TIFF_SPP and adjust the return value accordingly.

Returns
  the number of values to read.

See also
  TIFFFieldReadCount().

References impl.

Referenced by ome::files::tiff::Field< Tag >::get().

Here is the caller graph for this function:

## § tagNumber()

tag_type ome::files::tiff::FieldBase::tagNumber | ( |  | ) | const

Get field tag number.

Returns
  the tag number.

See also
  TIFFFieldTag().

References impl.

## § type()

Type ome::files::tiff::FieldBase::type | ( |  | ) | const

Get field data type.

Returns
  the data type used by this field.

See also
  TIFFFieldDataType().

References impl, and ome::files::tiff::TYPE_UNDEFINED.

Referenced by ome::files::tiff::Field< Tag >::get(), getIFD(), and ome::files::tiff::Field< Tag >::set().

Here is the caller graph for this function:

## § writeCount()

int ome::files::tiff::FieldBase::writeCount | ( |  | ) | const

Get field write count requirement.

Todo:
  : Check TIFF_VARIABLE/TIFF_VARIABLE2/TIFF_SPP and adjust the return value accordingly.

Returns
  the number of values to write.

See also
  TIFFFieldWriteCount().

References impl.

Referenced by ome::files::tiff::Field< Tag >::set().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/files/tiff/Field.h
- ome/files/tiff/Field.cpp